;   This file defines the reset vectors for the TMS320C6xxx.
;   It handles the reset and interrupts.
;   ---------------------------------------------------------
     .ref        _EDMA_isr
     .ref        _Timer1_ISR
     .ref        _c_int00
     .sect       .vectors
RESET_RST:
     MVKL        _c_int00, B3
     MVKH        _c_int00, B3
     B           B3
     MVK         0x0, B0
     MVC         B0, ISTP
     NOP
     NOP
     NOP
NMI_RST:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
RESV1:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
RESV2:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT4:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT5:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT6:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT7:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT8:
     STW         b0, *b15--[2]
  || MVKL        _EDMA_isr, b0
     MVKH        _EDMA_isr, b0
     B           b0
     LDW         *++b15[2], b0
     NOP         2
     NOP
     NOP
INT9:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT10:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT11:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT12:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT13:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT14:
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
     NOP
INT15:
     STW         b0, *b15--[2]
  || MVKL        _Timer1_ISR, b0
     MVKH        _Timer1_ISR, b0
     B           b0
     LDW         *++b15[2], b0
     NOP         4
     NOP
     NOP
