#include "notes_musique.h"
#include "CONFIG_PROJET.h"

// PARTITION

#if MORCEAU==GAMME 

#define TAILLE_MORCEAU	15	

struct partition
		{
		int f_note[TAILLE_MORCEAU]; 
		float duree_note[TAILLE_MORCEAU];
		} ;

struct partition part = { 	{	DO_3, 
								RE_3, 
								MI_3,
								FA_3,
								SOL_3, 
								LA_3, 
								SI_3,
								DO_4,
								SI_3,
								LA_3,
								SOL_3,
								FA_3,
								MI_3,
								RE_3,
								DO_3															
								},
							
							{
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE
							}
						
							};

#endif

#if MORCEAU==CHAMELEON_BASSE

#define TAILLE_MORCEAU_CB	32	

struct partition_basse
		{
		int f_note[TAILLE_MORCEAU_CB]; 
		float duree_note[TAILLE_MORCEAU_CB];
		} ;

	struct partition_basse part_basse = { 	
							{	SI_b_1, 
								LA_b_2, 
								SILENCE,
								SI_b_2,
								SILENCE, 
								DO_2, 
								RE_b_2,
								RE_2,
								MI_b_2,
								SI_b_2,
								SILENCE,
								RE_b_3,
								SILENCE,
								SOL_1,
								LA_b_1,
								LA_1,
								SI_b_1, 
								LA_b_2, 
								SILENCE,
								SI_b_2,
								SILENCE, 
								DO_2, 
								RE_b_2,
								RE_2,
								MI_b_2,
								SI_b_2,
								SILENCE,
								RE_b_3,
								SILENCE,
								SOL_1,
								LA_b_1,
								LA_1																
								},
							
							{CROCHE_POINT,
							DOUBLE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE_POINT,
							DOUBLE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE_POINT,
							DOUBLE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE_POINT,
							DOUBLE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE,
							CROCHE
						}
						
							};

#endif




#if MORCEAU==CHAMELEON_THEME

#define TAILLE_MORCEAU_CT	24

struct partition_theme
		{
		int f_note[TAILLE_MORCEAU_CT]; 
		float duree_note[TAILLE_MORCEAU_CT];
		} ;

	struct partition_theme part_theme = { 	
							{	SI_b_3, 
								SI_b_3, 
								SILENCE,
								LA_b_3,
								LA_b_3,
								SILENCE,
								SI_b_3, 
								SI_b_3, 
								SILENCE,
								RE_b_4,
								SI_b_3,
								SILENCE,
								SILENCE,
								SI_b_3,
								LA_b_3,
								FA_3,
								LA_b_3,
								SI_b_3,
								SILENCE,
								SILENCE,
								SILENCE,
								RE_b_4,
								MI_b_4,
								SILENCE																				
								},
							
							{
							DOUBLE,
							DOUBLE,
							CROCHE,
							DOUBLE,
							DOUBLE,
							CROCHE,
							DOUBLE,
							DOUBLE,
							CROCHE,
							NOIRE,
							NOIRE,
							NOIRE,
							NOIRE,
							DOUBLE,
							DOUBLE,
							DOUBLE,
							CROCHE_POINT,
							CROCHE,
							NOIRE,
							NOIRE,
							CROCHE,
							NOIRE,
							CROCHE,
							BLANCHE_POINT
						}						
							};

#endif



